@import "abstracts/abstracts";

$height: 50px;

:host {
  border-radius: $height;
  border: 1px solid $primary-color;
  color: $primary-color;
  display: grid;
  align-items: center;
  justify-content: space-evenly;
  grid-auto-flow: column;

  .button {
    color: $light-grey;
    display: grid;
    width: $height;
    grid-template-rows: max-content max-content;
    justify-self: center;
    align-items: center;
    text-align: center;
    cursor: pointer;
    padding: 4px;
    padding-top: 10px;

    &.is-disabled {
      cursor: initial;
      color: $medium-light-grey;
    }

    &.is-active {
      cursor: initial;
      color: $primary-color;
    }
  }

  .separator {
    background-color: $medium-light-grey;
    width: 1px;
    height: 100%;
  }

  .icon {
    justify-self: center;
  }

  .text {
    font-size: 10px;
  }

  .storagions {
    display: grid;
    justify-content: center;
    color: $light-grey;

    &.is-disabled {
      color: $medium-light-grey;
    }

    &.is-active {
      color: $primary-color;
    }

    .storagion-icon {
      display: flex;
      justify-content: center;
      max-width: 55px;
      flex-wrap: wrap;
      grid-gap: 5px 10px;
      cursor: pointer;

      &.is-disabled {
        cursor: initial;
        color: $medium-light-grey;
      }

      &.is-active {
        cursor: initial;
        color: $primary-color;
      }
    }
  }
}

@include isInDarkMode {
  :host {
    .button {
      color: $dark-mode-text-color;

      &.is-disabled {
        color: $light-grey;
      }

      &.is-active {
        color: $primary-color;
      }
    }

    .separator {
      background-color: $dark-mode-line;
    }

    .storagions {
      color: $dark-mode-text-color;

      &.is-disabled {
        color: $light-grey;
      }

      &.is-active {
        color: $primary-color;
      }
    }
  }
}
